%global packname  stringi
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.1.2
Release:          1%{?dist}.117
Summary:          Character String Processing Facilities

Group:            Applications/Engineering 
License:          file LICENSE
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-tools R-utils R-stats
# Suggests:  
# LinkingTo:
# Enhances:



Requires:         R-tools R-utils R-stats 

BuildRequires:    R-devel tex(latex) 
BuildRequires:    R-tools R-utils R-stats 


%description
Allows for fast, correct, consistent, portable, as well as convenient
character string/text processing in every locale and any native encoding.
Owing to the use of the ICU library, the package provides R users with
platform-independent functions known to Java, Perl, Python, PHP, and Ruby
programmers. Among available features there are: pattern searching (e.g.,
with ICU Java-like regular expressions or the Unicode Collation
Algorithm), random string generation, case mapping, string
transliteration, concatenation, Unicode normalization, date-time
formatting and parsing, etc.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/AUTHORS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/include


%changelog
* Thu Jan 12 2017 Oleg Girko <ol@infoserver.lv> 1.1.2-1
- Initial package for Fedora.
